- if @commits.present?
  .panel.panel-default
    .panel-heading
      %i.icon-list
      #{t('merge_request_section.commits')} (#{@commits.count})
    .commits.mr-commits
      - if @commits.count > 8
        %ul.first-commits.well-list
          - @commits.first(8).each do |commit|
            = render "projects/commits/commit", commit: commit, project: @merge_request.source_project
          %li.bottom
            8 #{t('merge_request_section.of')} #{@commits.count} #{t('merge_request_section.of_display')}.
            %strong
              %a.show-all-commits
                = t('merge_request_section.click_show_all')
        - if @commits.size > MergeRequestDiff::COMMITS_SAFE_SIZE
          %ul.all-commits.hide.well-list
            - @commits.first(MergeRequestDiff::COMMITS_SAFE_SIZE).each do |commit|
              = render "projects/commits/inline_commit", commit: commit, project: @merge_request.source_project
            %li
              #{t('merge_request_section.hidden_prevent', count: @commits.size - MergeRequestDiff::COMMITS_SAFE_SIZE)}
        - else
          %ul.all-commits.hide.well-list
            - @commits.each do |commit|
              = render "projects/commits/inline_commit", commit: commit, project: @merge_request.source_project

      - else
        %ul.well-list
          - @commits.each do |commit|
            = render "projects/commits/commit", commit: commit, project: @merge_request.source_project

